Jump to content
Sign in to follow this  
alfaowner

Worldpay Module Issue

Recommended Posts

I am usins OS CVS2.2 with an august 2002 snapshot, I have installed Worldpay 4.0 version 1.4 payment module.

 

The problem happens when I click to edit the worldpay module in the admin of OS Commerce for the first time, I appreciate any help, do these new worldpay files require chmod at all?

 

This is the error I receive:

 

An idead are appreciated and may I just thank you for your time.

Warning: call_user_func() expects first argument, 'tep_get_order_status_name', to be a valid callback in /home/alfaow/public_html/catalog/admin/includes/functions/general.php on line 1251

 

Thanks for taking the time to read, hopefully someone knows what is wrong. :)

 

Ciao

 

AO[/code]

Share this post


Link to post
Share on other sites

My suggestion would be to use version 3c of the Worldpay module. I had this running successfully on a September '02 snapshot. Version 4 is for the new checkout from sometime in jan03.

Share this post


Link to post
Share on other sites

More precisely the change to the new checkout started in November '02 so I wouldn't expect version 4 to work for any snapshots prior to that date.

Share this post


Link to post
Share on other sites

Yup, guys, ur were right, I put my hands up to being a dumb ass, however, I got it working with a prior snapshot.

 

Thanks for your kind replies, dont know how its working mind? except it doesnt re-route me back to the store after paying!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×